Blog


Please make sure Firestorm is at the latest version

Posted By: Edison Rex
Posted On: 2021-02-19 02:09 PM
We have dropped support for the previous versions of Firestorm. The current version is 6.4.12 (62831).
Please go to https://www.firestormviewer.org/os-operating-system/ and download and install the Opensim version.
The older viewers are giving increasing problems working with the newer Opensim core codebase.

Blog Archive

>Binary Rollout 860<
Posted By: Vincent Sylvester Posted On: 2021-07-20 01:06 AM


>June 19th, Let's Party! - Grid Update this week!<
Posted By: Eagle Wolf Posted On: 2021-06-13 06:22 PM


>Spotlight - Eagle Wolf<
Posted By: Eagle Wolf Posted On: 2021-05-31 08:48 AM


>Those are some large numbers<
Posted By: Vincent Sylvester Posted On: 2021-05-31 06:42 AM


>Binary Rollout 768<
Posted By: Vincent Sylvester Posted On: 2021-05-15 02:27 AM


>Increasing Grid Security Measures<
Posted By: Vincent Sylvester Posted On: 2021-05-07 02:47 PM


>Email Verification<
Posted By: Vincent Sylvester Posted On: 2021-04-14 07:56 AM


Twitter